Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] v1.3 on Mac OS X with PGI 8.0
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-03-19 21:26:53


That's fun. I'm afraid I don't have access to PGI 8.0 on OSX -- I
can't really track this down any further.

Can someone check this platform?

On Mar 19, 2009, at 11:10 AM, Tim Campbell wrote:

> During "make install" of OpenMPI v1.3 on Mac OSX with PGI 8.0 I get
> the following error.
>
> ----------------------------------------------------------------------
> Making install in mca/paffinity/darwin
> source='paffinity_darwin_module.c' object='paffinity_darwin_module.lo'
> libtool=yes \
> DEPDIR=.deps depmode=none /bin/sh ../../../../config/
> depcomp \
> /bin/sh ../../../../libtool --tag=CC --mode=compile pgcc -
> DHAVE_CONFIG_H -I. -I../../../../opal/include -I../../../../orte/
> include -I../../../../ompi/include -I../../../../opal/mca/paffinity/
> linux/plpa/src/libplpa -I../../../.. -D_REENTRANT -O -DNDEBUG -c
> -o paffinity_darwin_module.lo paffinity_darwin_module.c
> libtool: compile: pgcc -DHAVE_CONFIG_H -I. -I../../../../opal/include
> -I../../../../orte/include -I../../../../ompi/include -I../../../../
> opal/mca/paffinity/linux/plpa/src/libplpa -I../../../.. -D_REENTRANT -
> O -DNDEBUG -c paffinity_darwin_module.c -o paffinity_darwin_module.o
> PGC-F-0043-Redefinition of symbol, _OSSwapInt16 (/usr/include/libkern/
> machine/OSByteOrder.h: 51)
> PGC/x86 OSX 8.0-4: compilation aborted
> make[2]: *** [paffinity_darwin_module.lo] Error 1
> make[1]: *** [install-recursive] Error 1
> make: *** [install-recursive] Error 1
> ----------------------------------------------------------------------
>
> I did not invoke any options for configure. Any suggestions?
>
> Thanks,
> Tim
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
Cisco Systems